# TTransform3DComponents Class Reference
[Data Structures]

Inheritance diagram for TTransform3DComponents:

List of all members.

## Public Member Functions
| TTransform3DComponents ()
void | Decompose (const TTransform3D &transform)
void | DecomposeOrthogonal (const TTransform3D &transform)
void | GetTransform3D (TTransform3D &transform) const
void | GetTreeTransform (TTreeTransform &transform) const
const TMatrix33 & | GetRotation () const
const TVector3 & | GetXYZScaling () const
TMatrix33 | GetScaling () const
const TVector3 & | GetTranslation () const
## Public Attributes
TMatrix33 | fRotation
TMatrix33 | fScalingP
boolean | fHasScalingP
TVector3 | fScaling
TVector3 | fTranslation

## Detailed Description

TTransform3DComponents is a componentized representation of a 3D Transform.

x'= fRotation * (fScalingP*Diagonal(fScaling)*fScalingP') * x + fTranslation

where fRotation is an orthonormal matrix

## Constructor & Destructor Documentation

TTransform3DComponents::TTransform3DComponents | ( |  | ) | `[inline]`

## Member Function Documentation

void TTransform3DComponents::Decompose | ( | const TTransform3D & | transform | ) |

void TTransform3DComponents::DecomposeOrthogonal | ( | const TTransform3D & | transform | ) |

const TMatrix33& TTransform3DComponents::GetRotation | ( |  | ) | const`[inline]`

TMatrix33 TTransform3DComponents::GetScaling | ( |  | ) | const

void TTransform3DComponents::GetTransform3D | ( | TTransform3D & | transform | ) | const

const TVector3& TTransform3DComponents::GetTranslation | ( |  | ) | const`[inline]`

void TTransform3DComponents::GetTreeTransform | ( | TTreeTransform & | transform | ) | const

const TVector3& TTransform3DComponents::GetXYZScaling | ( |  | ) | const`[inline]`

## Member Data Documentation

boolean TTransform3DComponents::fHasScalingP

TMatrix33 TTransform3DComponents::fRotation

TVector3 TTransform3DComponents::fScaling

TMatrix33 TTransform3DComponents::fScalingP

TVector3 TTransform3DComponents::fTranslation

The documentation for this class was generated from the following file:

- Transforms.h